<?PHP
include_once 'bd/conexion.php';
$objeto = new Conexion();
$conexion = $objeto->Conectar();

$cc = trim($_POST['cc']);
$nombre = trim($_POST['nombre']);
$telefono = trim($_POST['telefono']);
$correo = trim($_POST['correo']);
$sexo = trim($_POST['sexo']);
$especialidad = trim($_POST['especialidad']);
$hospital = trim($_POST['hospital']);
$fecha = trim($_POST['fecha']);
$fechaEstimada = trim($_POST['fechaEstimada']);

$consulta = "INSERT INTO `PACIENTES` VALUES ($cc,'$nombre',$telefono,'$correo','$sexo')";
$resultado = $conexion->prepare($consulta);
$resultado->execute();

if ($resultado->rowCount() > 0) {
    
	$SqlC = "INSERT INTO `CITAS` (`id_paciente`, `id_hospital`, `id_especialidad`, `fecha_cita`, `fecha_estimacion_cita`) VALUES ($cc,$hospital,$especialidad,'$fecha','$fechaEstimada')";

	$resultadoC = $conexion->prepare($SqlC);
	$resultadoC->execute();

	if ($resultadoC->rowCount() > 0) {
		echo 1;
	}else{
		echo "No se registró la cita.";
	}
}else{
	echo "No se registró el paciente.";
}
ob_end_flush();
?>